System.Xml 2.0.0.0 4.0.0.0 System.Enum System.Flags

This enumeration is used by the when generating code for serialization and deserialization methods. The value specifies whether the schema importer generates write methods for mappings with write access, and read methods for mappings with read access. This minimizes the generation of serialization code.

Specifies whether a mapping is read, write, or both.

- Field
  2.0.0.0
  4.0.0.0
  System.Xml.Serialization.XmlMappingAccess

  Both read and write methods are generated.

- Field
  2.0.0.0
  4.0.0.0
  System.Xml.Serialization.XmlMappingAccess

  Read methods are generated.

- Field
  2.0.0.0
  4.0.0.0
  System.Xml.Serialization.XmlMappingAccess

  Write methods are generated.